package com.jsh.erp.datasource.pda.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.util.Date;

/**
 * 盘点任务明细
 */
@Data
@Accessors(chain = true)
public class PDATaskStocktakingItemVO {

    @ApiModelProperty("主键ID")
    private Long id;

    @ApiModelProperty("库位")
    private String position;

    @ApiModelProperty("商品总类")
    private String categoryName;

    @ApiModelProperty("商品名称")
    private String materialName;

    @ApiModelProperty("商品规格")
    private String standard;

    @ApiModelProperty("盘点人名称")
    private String createName;

    @ApiModelProperty("盘点时间")
    private Date operTime;

    @ApiModelProperty("库存数")
    private Integer inventory;

    @ApiModelProperty("盘点库存数")
    private Integer newInventory;

}
